## org.eclipse.datatools.modelbase.sql.expressions
Interface QueryExpression

All Known Subinterfaces:
  QueryExpressionDefault, QueryExpressionRoot

All Known Implementing Classes:
  QueryExpressionDefaultImpl, QueryExpressionRootImpl

public interface QueryExpression

A representation of the model object 'Query Expression'. A boolean value expression specifying a condition that is True, False, or Unknown.

See Also:
  `SQLExpressionsPackage.getQueryExpression()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Method Detail

### getSQL

    public java.lang.String getSQL()

### setSQL

    public void setSQL(java.lang.String sqlText)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.